www/ap22-authz-ldap - The NetBSD Packages Collection

Apache LDAP Authorization module

This Apache LDAP authentication/authorization module tries to solve
the following problems that other such modules may not solve in all cases:

  * Map the short form of the distinguished name of a certificate and its
    issuer obtained from the environment of mod_ssl to a user distinguished
    name in an LDAP directory.
  * Check the age of a password in an LDAP directory, denying authorization
    in case the password is to old.
  * Authorize a user based on roles or an arbitrary LDAP filter expression.
  * Authorize a user based on whether he owns a file or belongs to the group
    owning a file.

Build dependencies

www/apache24 pkgtools/cwrappers www/apache24 devel/libtool-base lang/perl5

Runtime dependencies

(none)

Available binary packages

aarch64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
aarch64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
aarch64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
alpha:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
alpha:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv6hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv6hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv6hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv6hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
earmv7hf:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
i386:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
mips64eb:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
powerpc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
powerpc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
powerpc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
powerpc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
powerpc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
sparc64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
sparc64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
sparc:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 8.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)
x86_64:ap24-authz-ldap-0.30nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

openssl
Enable OpenSSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]